Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetPassword

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.PasswordState>
it.tdlight.jni.TdApi.SetPassword

Enclosing class:
  TdApi

public static final class TdApi.SetPassword extends TdApi.Function<TdApi.PasswordState>
Changes the 2-step verification password for the current user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed.

Returns `PasswordState`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`newHint`
New password hint; may be empty.
`String`
`newPassword`
New 2-step verification password of the user; may be empty to remove the password.
`String`
`newRecoveryEmailAddress`
New recovery email address; may be empty.
`String`
`oldPassword`
Previous 2-step verification password of the user.
`boolean`
`setRecoveryEmailAddress`
Pass true to change also the recovery email address.

## Constructor Summary

Constructors
Constructor
Description
`SetPassword()`
Changes the 2-step verification password for the current user.
`SetPassword(DataInput input)`
Changes the 2-step verification password for the current user.
`SetPassword(String oldPassword, String newPassword, String newHint, boolean setRecoveryEmailAddress, String newRecoveryEmailAddress)`
Changes the 2-step verification password for the current user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### oldPassword

public String oldPassword
Previous 2-step verification password of the user.

### newPassword

public String newPassword
New 2-step verification password of the user; may be empty to remove the password.

### newHint

public String newHint
New password hint; may be empty.

### setRecoveryEmailAddress

public boolean setRecoveryEmailAddress
Pass true to change also the recovery email address.

### newRecoveryEmailAddress

public String newRecoveryEmailAddress
New recovery email address; may be empty.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetPassword

public SetPassword()
Changes the 2-step verification password for the current user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed.

Returns `PasswordState`

### SetPassword

public SetPassword(String oldPassword, String newPassword, String newHint, boolean setRecoveryEmailAddress, String newRecoveryEmailAddress)
Changes the 2-step verification password for the current user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed.

Returns `PasswordState`

Parameters:
  `oldPassword` - Previous 2-step verification password of the user.
  `newPassword` - New 2-step verification password of the user; may be empty to remove the password.
  `newHint` - New password hint; may be empty.
  `setRecoveryEmailAddress` - Pass true to change also the recovery email address.
  `newRecoveryEmailAddress` - New recovery email address; may be empty.

  Returns `PasswordState`

### SetPassword

public SetPassword(DataInput input) throws IOException
Changes the 2-step verification password for the current user. If a new recovery email address is specified, then the change will not be applied until the new recovery email address is confirmed.

Returns `PasswordState`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`